The Swift Package Index logo.Swift Package Index

Build Information

Failed to build SwordRPC with Swift 5.9 for Linux.

Build Command

docker run --rm -v "checkouts-4606859-1":/host -w "/host/spi-builder-workspace" registry.gitlab.com/finestructure/spi-images:basic-5.9-latest swift build 2>&1

Build Log

========================================
RunAll
========================================
Builder version: 4.19.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/Azoy/SwordRPC.git
Reference: master
Cloned https://github.com/Azoy/SwordRPC.git into spi-builder-workspace
SUCCESS checkout https://github.com/Azoy/SwordRPC.git at master
========================================
Build
========================================
Selected platform:         linux
Swift version:             5.9
Building package at path:  spi-builder-workspace
Running build ...
docker run --rm -v "checkouts-4606859-1":/host -w "/host/spi-builder-workspace" registry.gitlab.com/finestructure/spi-images:basic-5.9-latest swift build 2>&1
Fetching https://github.com/IBM-Swift/BlueSocket.git
[1/2942] Fetching bluesocket
Fetched https://github.com/IBM-Swift/BlueSocket.git (0.35s)
Computing version for https://github.com/IBM-Swift/BlueSocket.git
error: the Swift tools version specification is missing a label; consider inserting 'swift-tools-version:' between the comment marker and the version specifier
BUILD FAILURE 5.9 linux

Build Machine: Linux 1